<ion-content padding class="">
  <form #formulario="ngForm" (ngSubmit)="onSubmit(formulario)">

    <ion-list class="color-login">
      <ion-item lines="none" color="">
        <img src="assets/images/4Home2.png">
      </ion-item>

      <ion-item class="ion-margin-bottom">
        <ion-list-header mode="ios">
          <ion-label class="title-login">4Home | Login</ion-label>
        </ion-list-header>
      </ion-item>
      <ion-item lines="none" class="input-login ion-margin-bottom">
        <ion-input type="email"
                   name="email"
                   [(ngModel)]="dataUser.email"
                   placeholder="Correo"
                   pattern="^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$"
                   [required]="true">
        </ion-input>
      </ion-item>
      <ion-item lines="none" class="input-login ion-margin-bottom">
        <ion-input [type]="showpassword ? 'text' : 'password'" name="password" [(ngModel)]="dataUser.password"
                   placeholder="Contraseña"
                   [required]="true"></ion-input>
        <ion-icon [name]="showpassword ? 'eye-off-outline' : 'eye-outline'" name="eye-outline" color="primary"
                  slot="end"
                  (click)="showpassword = !showpassword"></ion-icon>
      </ion-item>
    </ion-list>
    <div class="ion-text-center">
      <ion-button class="btn-login" shape="round" type="submit">
        Ingresar
      </ion-button>
    </div>

    <ion-grid>
      <ion-row>
        <!--<ion-col size="12">
          <div class="ion-text-center link">
            <ion-label>¿Has olvidado la contraseña? <b>Restablecer</b></ion-label>
          </div>
        </ion-col>-->
        <ion-col size="12">
          <div class="ion-text-center link" routerLink="/register" routerDirection="forward">
            <ion-label>¿No tienes una cuenta? <b>Registrarse</b></ion-label>
          </div>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>
